Bug 1172782 (CVE-2014-9357) - CVE-2014-9357 docker: Escalation of privileges during decompression of LZMA archives
Summary: CVE-2014-9357 docker: Escalation of privileges during decompression of LZMA a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-9357
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1173324 1173325 1179293 1179294
Blocks: 1198578
TreeView+ depends on / blocked
 
Reported: 2014-12-10 17:51 UTC by Trevor Jay
Modified: 2019-09-29 13:25 UTC (History)
16 users (show)

Fixed In Version: docker 1.3.3
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Docker service unpacked images or builds after a "docker pull". An attacker could use this flaw to provide a malicious image or build that, when unpacked, would escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2015-03-06 21:50:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0623 normal SHIPPED_LIVE Low: docker security, bug fix, and enhancement update 2015-03-05 15:28:35 UTC

Description Trevor Jay 2014-12-10 17:51:17 UTC
Docker Inc. has discovered an issue whereby a malicious image could execute arbitrary code when being unpacked automatically after a "docker pull". From the Docker Inc report:

"It has been discovered that the introduction of chroot for archive extraction in Docker 1.3.2 had introduced a privilege escalation vulnerability. Malicious images or builds from malicious Dockerfiles could escalate privileges and execute arbitrary code as a root user on the Docker host by providing a malicious ‘xz’ binary.

We are releasing Docker 1.3.3 to address this vulnerability. Only Docker 1.3.2 is vulnerable. Users are highly encouraged to upgrade."

Comment 1 Trevor Jay 2014-12-10 17:51:57 UTC
Statement:

This issue affects the versions of Docker as shipped with Red Hat Enterprise Linux 7. However, this flaw is not known to be exploitable under any supported scenario. A future update may address this issue.

Red Hat does not support or recommend running untrusted images.

Comment 2 Vincent Danen 2014-12-11 20:51:27 UTC
External References:

https://groups.google.com/forum/#!topic/docker-user/nFAz-B-n4Bw

Comment 3 Vincent Danen 2014-12-11 21:01:17 UTC
Created docker-io tracking bugs for this issue:

Affects: fedora-all [bug 1173324]
Affects: epel-6 [bug 1173325]

Comment 4 Trevor Jay 2014-12-12 02:00:09 UTC
Acknowledgements:

Red Hat would like to thank Docker Inc. for reporting this issue.

Comment 5 Fedora Update System 2014-12-15 04:32:43 UTC
docker-io-1.4.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-26 02:35:28 UTC
docker-io-1.4.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-31 16:53:21 UTC
docker-io-1.4.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2015-03-05 03:19:10 UTC
This issue has been addressed in the following products:

  RHEL Extras for RHEL-7

Via RHSA-2015:0623 https://rhn.redhat.com/errata/RHSA-2015-0623.html


Note You need to log in before you can comment on or make changes to this bug.